> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization users

> This endpoint is used to list all users in an organization, including their role, status, and other details. List all organization users. <br/><br/>Pagination: [Page-based](#section/Page-based)



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/users
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/users:
    get:
      tags:
        - Users
      summary: List organization users
      description: >-
        This endpoint is used to list all users in an organization, including
        their role, status, and other details. List all organization users.
        <br/><br/>Pagination: [Page-based](#section/Page-based)
      operationId: publicGetUsers
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: query
          required: false
          in: query
          description: Support searching by name, email, role
          schema:
            example: John Doe
            type: string
        - name: page
          required: false
          in: query
          description: Page number to paginate through results.
          schema:
            type: number
            example: 1
        - name: limit
          required: false
          in: query
          description: Limit the number of results returned.
          schema:
            example: 10
            type: number
        - name: sortField
          required: false
          in: query
          description: Sort results by a field.
          schema:
            $ref: '#/components/schemas/UserSortField'
        - name: order
          required: false
          in: query
          description: Sort results in ascending or descending order. Defaults to `ASC`.
          schema:
            $ref: '#/components/schemas/SortOrder'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicListOrganizationUsersResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    UserSortField:
      type: string
      enum:
        - name
        - email
        - role
        - status
    SortOrder:
      type: string
      enum:
        - DESC
        - ASC
    PublicListOrganizationUsersResponseDto:
      type: object
      properties:
        metadata:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/MetaDataDto'
        users:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicOrganizationUserResponseDto'
      required:
        - metadata
        - users
    MetaDataDto:
      type: object
      properties:
        prevPage:
          type: number
          nullable: true
          example: 1
        nextPage:
          type: number
          nullable: true
          example: 3
      required:
        - prevPage
        - nextPage
    PublicOrganizationUserResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        email:
          type: string
          readOnly: true
          example: foo.bar@example.com
        name:
          type: string
          readOnly: true
          example: foo.bar
        location:
          readOnly: true
          example: jp
          allOf:
            - $ref: '#/components/schemas/Location'
        roles:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/UserRoleDto'
        status:
          readOnly: true
          example: active
          allOf:
            - $ref: '#/components/schemas/UserOrganizationStatus'
      required:
        - id
        - email
        - name
        - location
        - roles
        - status
    Location:
      type: string
      enum:
        - global
        - us
        - jp
    UserRoleDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        name:
          type: string
          readOnly: true
          example: Admin
      required:
        - id
        - name
    UserOrganizationStatus:
      type: string
      enum:
        - active
        - invited
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````